<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Picture extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	var $master_act 	= 'picture';
	var $info_prefix 	= 'pic_';
	function __construct()
	{
		parent::__construct();	
		$this -> load_lang('adminsys/'.$this -> master_act);
		$this -> view -> assign('master_act', $this -> master_act);
		$this -> view -> assign('info_prefix',	$this -> info_prefix);
		$this -> load('admin');
		$this -> admin -> online_admin();
		$this -> load_db();
		$this -> load('helper');     //加载辅助类
		$this -> load_model('sort'); //加载分类模型
	}


	function info_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( pic_title LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'pic_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'pic_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('pic_id' => array('th'=>1,'td'=>'id'),'pic_title'=> array('th'=>0,'td'=>''),'sort_name'=> array('th'=>1,'td'=>''),'pic_url'=> array('th'=>0,'td'=>'img'),'pic_view'=>array('th'=>1,'td'=>''),'pic_enabled'=>array('th'=>1,'td'=>'arr'),'pic_up_time'=>array('th'=>1,'td'=>'time'));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type , $lang_arr = $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
		$table_arr['left']['table'] 	= 'pic_sort';
		$table_arr['left']['on']		= $this -> db -> prefix.$this -> master_act.'.sort_id = '.$this -> db -> prefix.'pic_sort.sort_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'pic_delete =0';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();

		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['pic_enabled'] = $this->lang['enabled_arr'];


		$opt = array( 'item_list'=> $this->lang['item_list'], 'edit'=> $this->lang['edit'], 'recycle'=> $this->lang['recycle'] );

		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr , $this -> master_act ,$opt);
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('table_list.tpl');
		
	}
	
	
	
	function trash_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( pic_title LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'pic_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'pic_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('pic_id' => array('th'=>1,'td'=>'id'),'pic_title'=> array('th'=>0,'td'=>''),'sort_name'=> array('th'=>1,'td'=>''),'pic_url'=> array('th'=>0,'td'=>'img'),'pic_view'=>array('th'=>1,'td'=>''),'pic_enabled'=>array('th'=>1,'td'=>'arr'),'pic_up_time'=>array('th'=>1,'td'=>'time'));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type , $lang_arr = $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
		$table_arr['left']['table'] 	= 'pic_sort';
		$table_arr['left']['on']		= $this -> db -> prefix.$this -> master_act.'.sort_id = '.$this -> db -> prefix.'pic_sort.sort_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'pic_delete =1';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['pic_enabled'] = $this->lang['enabled_arr'];


		
		$opt = array( 'restore'=> $this->lang['restore'], 'delete'=> $this->lang['delete']);
		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr ,$this -> master_act ,$opt);
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('table_trash.tpl');
		
	}


	function recycle()
	{
		
		$info_id = $infoid = $this -> input ->  get["id"];
		
		$uprec = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET pic_delete = 1  WHERE  `pic_id` in ( $info_id ) ";
		$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');

	}
	
	//还原
	function restore( )
	{
		$infoid = $this -> input ->  delUrl($_REQUEST["id"]);
		
		$uprec = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET pic_delete = 0  WHERE  `pic_id` in ( $infoid ) ";
		@$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$_LANG['bd_restoresusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	

	function delete( )
	{
		$infoid = $this -> input ->  get["id"];
		$insertip = " DELETE FROM `".$this -> db -> prefix.$this -> master_act."` WHERE `pic_id` in ( $infoid ) ";

		$this -> db -> query_sql($insertip);
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function show( )
	{
		$info_id = $this -> input ->  get["id"];
		$upshow = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET pic_enabled = 1  WHERE `pic_id` in ( $info_id ) ";

		$this -> db -> query_sql($upshow);
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}


	function hide( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET pic_enabled = 0  WHERE  `pic_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function info(  )
	{
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			$id_val = $this -> input ->  get["id"];
			
			$sql_query = " SELECT *  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE pic_id = '".$id_val."' ORDER BY `pic_id` ";
			$info = $this -> db -> select_one($sql_query);

			//可选择的一级分类 
			$sort_info 	= $this -> sort_mod -> get_sort('pic_sort','sort_');
			$sort_select_str = $this -> helper -> build_out_str( $sort_info , 'sort_id', 'sort_id' , 'sort_id', 'sort_name', $info['sort_id']  ,$this-> lang['txt_select'] , 'sort_id', 'sort_parent_id',  6 );
			
			$ckeditorLoad 	= $this -> helper -> load_ckeditor( 'pic_desc' ,$info['pic_desc'] );//加载文本编辑器
			$this -> view -> assign( 'ckeditorLoad', $ckeditorLoad);
			
			$this -> view -> assign('txt_title',  $this->lang['edit_title']);
			$this -> view -> assign('edit_submit', $this->lang['edit']);
			$this -> view -> assign('info',$info);
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('sort_select_str',$sort_select_str);
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=edit");
			
			
		}else{
			
		    //添加信息
			$sort_info  		= $this -> sort_mod -> get_sort('pic_sort','sort_');
			//生成分类选择控件
			$sort_select_str = $this -> helper -> build_out_str( $sort_info , 'sort_id', 'sort_id' , 'sort_id', 'sort_name', $sort_id  ,$this-> lang['txt_select'] , 'sort_id', 'sort_parent_id',  6 );
			$this -> view -> assign( 'sort_select_str', $sort_select_str);
			
			$ckeditorLoad 	= $this -> helper -> load_ckeditor( 'pic_desc' );//加载文本编辑器
			$this -> view -> assign( 'ckeditorLoad', $ckeditorLoad);

			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=add");
			
			$this -> view -> assign('act_type', $act_type);
			$this -> view -> assign('txt_title', $this->lang['add_title']);
			$this -> view -> assign('edit_submit', $this-> lang['add']);
			
		}

		$this -> view ->  display($this -> master_act.'_edit.tpl');
	
	}
	
	
	function edit_info( )
	{	
	
		$pic_idval 		= $this -> input ->  funpost("pic_id");
		$pic_titleval 	= $this -> input ->  funpost("pic_title");
		$sort_idval 	= $this -> input ->  funpost("sort_id");
		//$pic_fileval 	= $this -> input ->  funpost("pic_file");
	    $pic_urlval 	= $this -> input ->  funpost("pic_url");
		//$pic_sizeval 	= $this -> input ->  funpost("pic_size");
		$pic_descval 	= html_entity_decode($_POST["pic_desc"]);
		$pic_listval 	= $this -> input ->  funpost("pic_list");
		$pic_enabledval = $this -> input ->  funpost("pic_enabled");
		
		$act_type = $this -> input ->  req["act_type"];

		if($act_type=='edit')
		{

		
			if($pic_titleval !='' and $pic_urlval !=''  and $pic_idval !='')
			{
				$pic_up_time = time();
				
				$update = "UPDATE `".$this -> db -> prefix.$this -> master_act."` SET  pic_title = '".$pic_titleval."' ,  sort_id = '".$sort_idval."' , pic_url = '".$pic_urlval."' ,  pic_desc = '".$pic_descval."', pic_list = '".$pic_listval."',pic_enabled = '".$pic_enabledval."',pic_up_time = '".$pic_up_time."'  WHERE  pic_id = '".$pic_idval."' ";
				
				$this -> db -> query_sql( $update );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
				$this -> view ->  display('suggestion.tpl');
	
		
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&id=".$pic_idval);
				$this -> view ->  display('suggestion.tpl');	
			}
		

		}else{
 
				if($pic_titleval !='' and $pic_urlval !='' )
				{
					$sql_query = " SELECT count(1) as LNUM  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE pic_title = '".$pic_titleval."' ORDER BY `pic_id` ";
					$info = $this -> db -> select_one($sql_query);
					
					if( $info["LNUM"] < 1 )
					{
						$pic_up_time = $pic_add_timeval = time();
						$insertip =" INSERT INTO `".$this -> db -> prefix.$this -> master_act."` (`pic_title` , `sort_id` ,  `pic_url`  , `pic_desc` ,`pic_list` , `pic_enabled`,`pic_add_time`,`pic_up_time` ) VALUES (  '$pic_titleval','$sort_idval', '$pic_urlval','$pic_descval',  '$pic_listval', '$pic_enabledval','$pic_add_timeval','$pic_up_time')";
						
						$this -> db -> query_sql($insertip);
						
						$this -> view ->  assign('info_title',$this->lang['add_success']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
						$this -> view ->  display('suggestion.tpl');	
					}else{
						
						$this -> view ->  assign('info_title',$this->lang['err_info_exist']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
						$this -> view ->  display('suggestion.tpl');	
					}
					
				}else{
					
					$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
					$this -> view ->  display('suggestion.tpl');
				}
		}
		
	}
	

	
	function delete_item()
	{
		
		$id_val 	 = $this -> input ->  get["id"];
		$pii_id_val  = $this -> input ->  get["pii_id"];
		
		$delete_sql ="DELETE FROM `".$this -> db -> prefix."pic_item` WHERE `".$this -> db -> prefix."pic_item`.`pii_id` in ( $pii_id_val ) and  pic_id = '$id_val' ";
		
		$this -> db ->    query_sql( $delete_sql );
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);  
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=item_list&id=".$id_val);
		$this -> view ->  display('suggestion.tpl');
		
		
	}

	
	function info_item()
	{
		$id_val 	= $this -> input -> get["id"];
		$pii_id_val 	= $this -> input -> get["pii_id"];
		$act_type 	= $this -> input -> get["act_type"];
		
		if( $id_val != '' ){
			$sql_query = " SELECT pic_id ,pic_title FROM  ".$this -> db -> prefix."".$this -> master_act."  WHERE pic_id = '".$id_val."' ORDER BY `pic_id` ";
			$info 	   = $this -> db -> select_one($sql_query);
			$this -> view -> assign( 'info', $info);
		}
		
		if($act_type=='edit'){
			
			$sql_query = " SELECT *  FROM  ".$this -> db -> prefix."pic_item  WHERE pii_id = '".$pii_id_val."' ORDER BY `pii_id` ";
			$item_info = $this -> db -> select_one($sql_query);
			
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_item&act_type=edit&id=".$id_val);
			
			$this -> view ->  assign('item_info',$item_info);
			
			$ckeditorLoad = $this -> helper -> load_ckeditor( 'pii_desc' , $item_info["pii_desc"] ,'Basic' );	//加载文本编辑器
			
			$this -> view -> assign( 'edit_submit', $this->lang['edit']);
			
			
		}else{

			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_item&act_type=add&id=".$id_val);
			$ckeditorLoad = $this -> helper -> load_ckeditor( 'pii_desc' , '' ,'Basic' );	//加载文本编辑器
			$this -> view -> assign( 'edit_submit', $this->lang['add_submit']);
		
		}
		$this -> view -> assign( 'pii_id', $pii_id_val);
		$this -> view -> assign( 'act_type', $act_type);
		
		$this -> view -> assign( 'id', $id_val);
		$this -> view -> assign( 'ckeditorLoad', $ckeditorLoad);
		$this -> view ->  display('pic_item_edit.tpl');
	
	}
	
	
	function item_list()
	{	
		
		$id_val = $this -> input ->  get["id"];

		$sql_query = " SELECT pic_id ,pic_title FROM  ".$this -> db -> prefix."".$this -> master_act."  WHERE pic_id = '".$id_val."' ORDER BY `pic_id` ";
		$info 	   = $this -> db -> select_one($sql_query);
		//var_dump( $info );
		//列表字段显示
		$show_arr = array('pii_id' => array('th'=>0,'td'=>'id'),'pii_url'=> array('th'=>0,'td'=>''),'pii_view'=> array('th'=>0,'td'=>''),'pii_desc'=> array('th'=>0,'td'=>'img'),'pii_enabled'=>array('th'=>0,'td'=>'arr'),'pii_up_time'=>array('th'=>0,'td'=>''));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type , $lang_arr = $this->lang['field_item_list'] );


		$sql_item  = " SELECT *  FROM  ".$this -> db -> prefix."pic_item  WHERE pic_id = '".$id_val."' ORDER BY `pii_id` Limit 0, 3000 ";
		$info_item = $this -> db -> select_info( $sql_item );
		
		//var_dump( $info_item);
		//$this -> helper -> load_ckeditor(  'pii_desc' ,'' ,'Basic' );	//加载文本编辑器
		
		$this -> view ->  assign('colspan_val',	count($show_arr)+1);
		$this -> view ->  assign('field_show', $field_show);
		$this -> view ->  assign('id', $id_val);
		$this -> view ->  assign('info',$info);
		$this -> view ->  assign('info_item',$info_item);
		$this -> view ->  display('pic_item_list.tpl');
		
	}

	function show_item( )
	{
		$info_id = $this -> input ->  get["id"];
		
		$upshow = " UPDATE `".$this -> db -> prefix."pic_item` SET pii_enabled = 1  WHERE `pii_id` in ( $info_id ) ";
		$this -> db -> query_sql($upshow);
		
		$sql_query = " SELECT pic_id  FROM  ".$this -> db -> prefix."pic_item  WHERE pii_id in ( $info_id ) ";
		$info_one 	   = $this -> db -> select_one($sql_query);

		
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=item_list&&id=".$info_one['pic_id']);
		$this -> view ->  display('suggestion.tpl');
	}


	function hide_item( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix."pic_item` SET pii_enabled = 0  WHERE  `pii_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);


		$sql_query = " SELECT pic_id  FROM  ".$this -> db -> prefix."pic_item  WHERE pii_id in ( $info_id ) ";
		$info_one 	   = $this -> db -> select_one($sql_query);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=item_list&&id=".$info_one['pic_id']);
		$this -> view ->  display('suggestion.tpl');
	}


	function edit_item()
	{	
	
	
		$id_val 		= $this -> input ->  funpost("id");	
		$pii_idval 		= $this -> input ->  funpost("pii_id");
		$pii_listval 	= $this -> input ->  funpost("pii_list");
		$pii_urlval 	= $this -> input ->  funpost("pii_url");
		$pii_descval 	= html_entity_decode($_POST["pii_desc"]);
		$pii_enabledval = $this -> input ->  funpost("pii_enabled");
		
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			if($pii_idval !='' and  $pii_urlval !='' and $pii_descval !='' )
			{
				$pii_up_time_val =  time();
				
				$updatesql = " UPDATE `".$this -> db -> prefix."pic_item` SET  pii_url = '".$pii_urlval."' , pii_desc = '".$pii_descval."' , pii_enabled = '".$pii_enabledval."', pii_up_time = '".$pii_up_time_val."', pii_list = '".$pii_listval."' WHERE  pii_id = '".$pii_idval."' ";
				
				$this -> db -> query_sql( $updatesql );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=item_list&id=".$id_val);
				$this -> view ->  display('suggestion.tpl');
					
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing'] );
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_item&pii_id=".$pii_idval."&id=".$id_val);
				$this -> view ->  display('suggestion.tpl');	
			}
			
		}else{

	
			if( $id_val !='' and $pii_urlval !='')
			{
			
					$pii_add_time_val 	= time();
	
					$insert_item =" INSERT INTO `".$this -> db -> prefix."pic_item` (`pic_id`,`pii_url` , `pii_desc` , `pii_enabled` ,pii_list, pii_add_time ,pii_up_time) VALUES (  '$id_val',  '$pii_urlval', '$pii_descval',  '$pii_enabledval','$pii_listval',  '$pii_add_time_val','$pii_add_time_val')";

					$proinsertId = $this -> db -> query_sql( $insert_item );
	
					$this -> view ->  assign('info_title',$this->lang['add_success']);
					
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=item_list&id=".$id_val);
					$this -> view ->  display('suggestion.tpl');	
	
				
			}else{
				
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_item&id=".$id_val);
				$this -> view ->  display('suggestion.tpl');		
			}
		}

	}



		
}

